summaryrefslogtreecommitdiffstats
path: root/debian/_base/applications/utilities/knutclient/debian/preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/_base/applications/utilities/knutclient/debian/preinst')
-rw-r--r--debian/_base/applications/utilities/knutclient/debian/preinst52
1 files changed, 52 insertions, 0 deletions
diff --git a/debian/_base/applications/utilities/knutclient/debian/preinst b/debian/_base/applications/utilities/knutclient/debian/preinst
new file mode 100644
index 000000000..17d2ead82
--- /dev/null
+++ b/debian/_base/applications/utilities/knutclient/debian/preinst
@@ -0,0 +1,52 @@
+#! /bin/sh
+# preinst script for knutclient
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ upgrade)
+ # cleanup remaining doc from release prior to 0.7.2
+ if dpkg --compare-versions "$2" lt "0.7.2" ; then
+ # first pass for files
+ for i in `find /usr/share/doc/tde/HTML/*/knutclient/ -type f`
+ do
+ rm -f $i
+ done
+
+ # second pass for directories and empty parents
+ for i in `find /usr/share/doc/tde/HTML/*/knutclient/ -type d`
+ do
+ rmdir --ignore-fail-on-non-empty --parents $i
+ done
+ fi
+ ;;
+
+ install|abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+